Bug 1459181 - [BACKPORT] [Neutron] Don't add duplicate metadata rules after router update
[BACKPORT] [Neutron] Don't add duplicate metadata rules after router update
Status: ON_QA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
10.0 (Newton)
All Linux
medium Severity medium
: z4
: 10.0 (Newton)
Assigned To: Brian Haley
Toni Freger
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 09:21 EDT by Masaki Furuta
Modified: 2017-08-14 15:07 EDT (History)
8 users (show)

See Also:
Fixed In Version: openstack-neutron-9.4.0-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 473478 None None None 2017-08-14 13:41 EDT

  None (edit)
Description Masaki Furuta 2017-06-06 09:21:47 EDT
Description of problem:
  
- Customer/We still see "Duplicate iptables rule detected" warning messages in l3-agent.log file on OSP10/Newton with 142b68f0 .

- To eliminate it, please introduce upstream fix on https://bugs.launchpad.net/neutron/+bug/1658460 

~~~
commit 1257a3f203aacfbbe16c1afa79893b8b990a1a57
Author: Quan Tian <tianquan@cloudin.cn>
Date:   Sun Jan 22 16:49:24 2017 +0800

    Don't add duplicate metadata rules after router update
    
    For a HA router, when it's updated, the l3 agents which are standby
    always call the after_router_added method, then duplicate metadata
    rules are added to iptables table. Althrough these rules will not be
    applied to system because of the _weed_out_duplicates method, they will
    grow linearly with router update operations.
    
    Because these metadata rules are added once router is added to the agent
    and will not be cleaned until router is removed, calling the add_rule
    method in after_router_updated is a waste.
    
    This patch removes adding metadata rules in after_router_updated.
    
    Change-Id: I6650f1071499ed6cabd936bb0fb36b32a4b60bca
    Closes-Bug: #1658460
~~~


Version-Release number of selected component (if applicable):
  Red Hat OpenStack Platform 10

How reproducible:
  Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Brian Haley 2017-06-12 11:29:16 EDT
https://review.openstack.org/#/c/473478/ created.  Once that merges I'll cherry-pick back to 10.0

Note You need to log in before you can comment on or make changes to this bug.